# setAirplaneMode

The `setAirplaneMode` command enables or disables airplane mode on the device.&#x20;

{% hint style="info" %}
This command is supported on Android only.

iOS simulators do not have an airplane mode.

On web or iOS, the command will pass but has no effect.
{% endhint %}

### Syntax

The command takes a single required argument that specifies the desired state for the airplane mode.

The following example enables airplane mode:

```yaml
- setAirplaneMode: enabled
```

The following example disables airplane mode:

```yaml
- setAirplaneMode: disabled
```

### Related commands

* [toggleAirplaneMode](/reference/commands-available/toggleairplanemode.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.maestro.dev/reference/commands-available/setairplanemode.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
